extends "../FileStatistics.gd"

func _is_comment(line: String) -> bool:
	line = line.strip_edges()
	return (line.begins_with("//")
		or line.begins_with("/*")
		or line.begins_with("*")
		or line.ends_with("*/"))

func _get_extension() -> String:
	return "C#"

func _get_icon() -> String:
	return "CSharpScript"

func _get_color() -> Color:
	return Color.LIME_GREEN

func _is_script() -> bool:
	return true
